<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.3"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>NANO102/112 BSP: RTC Exported Functions</title>
<link href="../../tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../jquery.js"></script>
<script type="text/javascript" src="../../dynsections.js"></script>
<link href="../../doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectlogo"><img alt="Logo" src="../../M0Banner_v2.jpg"/></td>
  <td id="projectalign">
   <div id="projectname">NANO102/112 BSP<span id="projectnumber">&#160;V3.04.000</span>
   </div>
   <div id="projectbrief">The Board Support Package for Nano102/112 Series</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.3 -->
<script type="text/javascript" src="../../menudata.js"></script>
<script type="text/javascript" src="../../menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('../../',false,false,'search.php','Search');
});
/* @license-end */
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#define-members">Macros</a> &#124;
<a href="#func-members">Functions</a> &#124;
<a href="#var-members">Variables</a>  </div>
  <div class="headertitle"><div class="title">RTC Exported Functions<div class="ingroups"><a class="el" href="../../d8/dcc/group___n_a_n_o1_x2___device___driver.html">NANO102/112 Device Driver</a> &raquo; <a class="el" href="../../d4/de0/group___n_a_n_o1_x2___r_t_c___driver.html">RTC Driver</a> &raquo; <a class="el" href="../../d7/dd6/group___n_a_n_o1_x2___r_t_c___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html">RTC Exported Constants</a> &raquo; <a class="el" href="../../d4/d20/group___n_a_n_o1_x2___r_t_c___e_x_p_o_r_t_e_d___s_t_r_u_c_t_s.html">RTC Exported Structs</a></div></div></div>
</div><!--header-->
<div class="contents">
<div class="dynheader">
Collaboration diagram for RTC Exported Functions:</div>
<div class="dyncontent">
<div class="center"><img src="../../d8/d45/group___n_a_n_o1_x2___r_t_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.png" border="0" usemap="#ad8_2d45_2group______n__a__n__o1__x2______r__t__c______e__x__p__o__r__t__e__d______f__u__n__c__t__i__o__n__s" alt=""/></div>
</div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="define-members" name="define-members"></a>
Macros</h2></td></tr>
<tr class="memitem:gac55d7cf872b90e802ffbfdecd466ea8a"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d8/d45/group___n_a_n_o1_x2___r_t_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gac55d7cf872b90e802ffbfdecd466ea8a">RTC_READ_SPARE_REGISTER</a>(u32RegNum)&#160;&#160;&#160;(<a class="el" href="../../da/d2d/group___n_a_n_o1_x2___p_e_r_i_p_h_e_r_a_l___d_e_c_l_a_r_a_t_i_o_n.html#ga5359a088f5d8b20ce74d920e46059304">RTC</a>-&gt;SPR[u32RegNum])</td></tr>
<tr class="memdesc:gac55d7cf872b90e802ffbfdecd466ea8a"><td class="mdescLeft">&#160;</td><td class="mdescRight">Read spare register.  <a href="../../d8/d45/group___n_a_n_o1_x2___r_t_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gac55d7cf872b90e802ffbfdecd466ea8a">More...</a><br /></td></tr>
<tr class="separator:gac55d7cf872b90e802ffbfdecd466ea8a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga7673a733b8ddfd27865ebb03ae5b47a5"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d8/d45/group___n_a_n_o1_x2___r_t_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga7673a733b8ddfd27865ebb03ae5b47a5">RTC_WRITE_SPARE_REGISTER</a>(u32RegNum,  u32RegValue)&#160;&#160;&#160;(<a class="el" href="../../da/d2d/group___n_a_n_o1_x2___p_e_r_i_p_h_e_r_a_l___d_e_c_l_a_r_a_t_i_o_n.html#ga5359a088f5d8b20ce74d920e46059304">RTC</a>-&gt;SPR[u32RegNum] = u32RegValue)</td></tr>
<tr class="memdesc:ga7673a733b8ddfd27865ebb03ae5b47a5"><td class="mdescLeft">&#160;</td><td class="mdescRight">Write spare register.  <a href="../../d8/d45/group___n_a_n_o1_x2___r_t_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga7673a733b8ddfd27865ebb03ae5b47a5">More...</a><br /></td></tr>
<tr class="separator:ga7673a733b8ddfd27865ebb03ae5b47a5"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga7cdf540e4c00e818a6e0f52873058e81"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d8/d45/group___n_a_n_o1_x2___r_t_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga7cdf540e4c00e818a6e0f52873058e81">RTC_IS_LEAP_YEAR</a>()&#160;&#160;&#160;((<a class="el" href="../../da/d2d/group___n_a_n_o1_x2___p_e_r_i_p_h_e_r_a_l___d_e_c_l_a_r_a_t_i_o_n.html#ga5359a088f5d8b20ce74d920e46059304">RTC</a>-&gt;LIR &amp; (<a class="el" href="../../da/d91/_nano1_x2_series_8h.html#a07ddc0a16df4ac356558e3af2c0f9881">RTC_LIR_LIR_Msk</a>))?1:0)</td></tr>
<tr class="memdesc:ga7cdf540e4c00e818a6e0f52873058e81"><td class="mdescLeft">&#160;</td><td class="mdescRight">According to current time, return this year is leap year or not.  <a href="../../d8/d45/group___n_a_n_o1_x2___r_t_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga7cdf540e4c00e818a6e0f52873058e81">More...</a><br /></td></tr>
<tr class="separator:ga7cdf540e4c00e818a6e0f52873058e81"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gaf78901ec0a6bc00faa9c222a34788a98"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d8/d45/group___n_a_n_o1_x2___r_t_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gaf78901ec0a6bc00faa9c222a34788a98">RTC_CLEAR_ALARM_INT_FLAG</a>()&#160;&#160;&#160;(<a class="el" href="../../da/d2d/group___n_a_n_o1_x2___p_e_r_i_p_h_e_r_a_l___d_e_c_l_a_r_a_t_i_o_n.html#ga5359a088f5d8b20ce74d920e46059304">RTC</a>-&gt;RIIR = <a class="el" href="../../da/d91/_nano1_x2_series_8h.html#a92e0981f6411d6ea211ddf3a0963d553">RTC_RIIR_AIF_Msk</a>)</td></tr>
<tr class="memdesc:gaf78901ec0a6bc00faa9c222a34788a98"><td class="mdescLeft">&#160;</td><td class="mdescRight">Clear alarm interrupt status.  <a href="../../d8/d45/group___n_a_n_o1_x2___r_t_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gaf78901ec0a6bc00faa9c222a34788a98">More...</a><br /></td></tr>
<tr class="separator:gaf78901ec0a6bc00faa9c222a34788a98"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gaa9f9bc7680ebe6eb41a1821bfdbc4b35"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d8/d45/group___n_a_n_o1_x2___r_t_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gaa9f9bc7680ebe6eb41a1821bfdbc4b35">RTC_CLEAR_TICK_INT_FLAG</a>()&#160;&#160;&#160;(<a class="el" href="../../da/d2d/group___n_a_n_o1_x2___p_e_r_i_p_h_e_r_a_l___d_e_c_l_a_r_a_t_i_o_n.html#ga5359a088f5d8b20ce74d920e46059304">RTC</a>-&gt;RIIR = <a class="el" href="../../da/d91/_nano1_x2_series_8h.html#a5911096c28e6e7d3eb6c4b6000fa0b5f">RTC_RIIR_TIF_Msk</a>)</td></tr>
<tr class="memdesc:gaa9f9bc7680ebe6eb41a1821bfdbc4b35"><td class="mdescLeft">&#160;</td><td class="mdescRight">Clear tick interrupt status.  <a href="../../d8/d45/group___n_a_n_o1_x2___r_t_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gaa9f9bc7680ebe6eb41a1821bfdbc4b35">More...</a><br /></td></tr>
<tr class="separator:gaa9f9bc7680ebe6eb41a1821bfdbc4b35"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga6aa031784a68b2ccfa39d325e83b4350"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d8/d45/group___n_a_n_o1_x2___r_t_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga6aa031784a68b2ccfa39d325e83b4350">RTC_GET_ALARM_INT_FLAG</a>()&#160;&#160;&#160;((<a class="el" href="../../da/d2d/group___n_a_n_o1_x2___p_e_r_i_p_h_e_r_a_l___d_e_c_l_a_r_a_t_i_o_n.html#ga5359a088f5d8b20ce74d920e46059304">RTC</a>-&gt;RIIR &amp; <a class="el" href="../../da/d91/_nano1_x2_series_8h.html#a92e0981f6411d6ea211ddf3a0963d553">RTC_RIIR_AIF_Msk</a>) &gt;&gt; <a class="el" href="../../da/d91/_nano1_x2_series_8h.html#ad8bca1330064489e896757b47ed29183">RTC_RIIR_AIF_Pos</a>)</td></tr>
<tr class="memdesc:ga6aa031784a68b2ccfa39d325e83b4350"><td class="mdescLeft">&#160;</td><td class="mdescRight">Get alarm interrupt status.  <a href="../../d8/d45/group___n_a_n_o1_x2___r_t_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga6aa031784a68b2ccfa39d325e83b4350">More...</a><br /></td></tr>
<tr class="separator:ga6aa031784a68b2ccfa39d325e83b4350"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga1083ef9c749476d417d53d194bbff608"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d8/d45/group___n_a_n_o1_x2___r_t_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga1083ef9c749476d417d53d194bbff608">RTC_CLEAR_TAMPER_FLAG</a>(u32PinNum)&#160;&#160;&#160;(<a class="el" href="../../da/d2d/group___n_a_n_o1_x2___p_e_r_i_p_h_e_r_a_l___d_e_c_l_a_r_a_t_i_o_n.html#ga5359a088f5d8b20ce74d920e46059304">RTC</a>-&gt;RIIR = <a class="el" href="../../da/d91/_nano1_x2_series_8h.html#af1e4f69211e9b010d23cecf2e4a658d8">RTC_RIIR_SNOOPIF_Msk</a>)</td></tr>
<tr class="memdesc:ga1083ef9c749476d417d53d194bbff608"><td class="mdescLeft">&#160;</td><td class="mdescRight">Clear tamper detect pin status.  <a href="../../d8/d45/group___n_a_n_o1_x2___r_t_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga1083ef9c749476d417d53d194bbff608">More...</a><br /></td></tr>
<tr class="separator:ga1083ef9c749476d417d53d194bbff608"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gaf089de7182cd191001a1ebad4768ff51"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d8/d45/group___n_a_n_o1_x2___r_t_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gaf089de7182cd191001a1ebad4768ff51">RTC_GET_TICK_INT_FLAG</a>()&#160;&#160;&#160;((<a class="el" href="../../da/d2d/group___n_a_n_o1_x2___p_e_r_i_p_h_e_r_a_l___d_e_c_l_a_r_a_t_i_o_n.html#ga5359a088f5d8b20ce74d920e46059304">RTC</a>-&gt;RIIR &amp; <a class="el" href="../../da/d91/_nano1_x2_series_8h.html#a5911096c28e6e7d3eb6c4b6000fa0b5f">RTC_RIIR_TIF_Msk</a>) &gt;&gt; <a class="el" href="../../da/d91/_nano1_x2_series_8h.html#ada1b147c82bcd7f4b359a6e84a9d9fc1">RTC_RIIR_TIF_Pos</a>)</td></tr>
<tr class="memdesc:gaf089de7182cd191001a1ebad4768ff51"><td class="mdescLeft">&#160;</td><td class="mdescRight">Get alarm interrupt status.  <a href="../../d8/d45/group___n_a_n_o1_x2___r_t_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gaf089de7182cd191001a1ebad4768ff51">More...</a><br /></td></tr>
<tr class="separator:gaf089de7182cd191001a1ebad4768ff51"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gaedde748317bd4f2187caabf22713873c"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d8/d45/group___n_a_n_o1_x2___r_t_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gaedde748317bd4f2187caabf22713873c">RTC_GET_TAMPER_FLAG</a>()&#160;&#160;&#160;( (<a class="el" href="../../da/d2d/group___n_a_n_o1_x2___p_e_r_i_p_h_e_r_a_l___d_e_c_l_a_r_a_t_i_o_n.html#ga5359a088f5d8b20ce74d920e46059304">RTC</a>-&gt;RIIR &amp; <a class="el" href="../../da/d91/_nano1_x2_series_8h.html#af1e4f69211e9b010d23cecf2e4a658d8">RTC_RIIR_SNOOPIF_Msk</a>) &gt;&gt; <a class="el" href="../../da/d91/_nano1_x2_series_8h.html#a4c575f3edc52adf5ca6ceeace5752781">RTC_RIIR_SNOOPIF_Pos</a>)</td></tr>
<tr class="memdesc:gaedde748317bd4f2187caabf22713873c"><td class="mdescLeft">&#160;</td><td class="mdescRight">Get tamper detect pin status.  <a href="../../d8/d45/group___n_a_n_o1_x2___r_t_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gaedde748317bd4f2187caabf22713873c">More...</a><br /></td></tr>
<tr class="separator:gaedde748317bd4f2187caabf22713873c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gab621aaec187157f72a666429a560a1a0"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d8/d45/group___n_a_n_o1_x2___r_t_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gab621aaec187157f72a666429a560a1a0">RTC_ENABLE_TICK_WAKEUP</a>()&#160;&#160;&#160;(<a class="el" href="../../da/d2d/group___n_a_n_o1_x2___p_e_r_i_p_h_e_r_a_l___d_e_c_l_a_r_a_t_i_o_n.html#ga5359a088f5d8b20ce74d920e46059304">RTC</a>-&gt;TTR |= <a class="el" href="../../da/d91/_nano1_x2_series_8h.html#ab160fcd7bebfc3e49da3727139f62f5f">RTC_TTR_TWKE_Msk</a>);</td></tr>
<tr class="memdesc:gab621aaec187157f72a666429a560a1a0"><td class="mdescLeft">&#160;</td><td class="mdescRight">Enable Timer tick wakeup function.  <a href="../../d8/d45/group___n_a_n_o1_x2___r_t_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gab621aaec187157f72a666429a560a1a0">More...</a><br /></td></tr>
<tr class="separator:gab621aaec187157f72a666429a560a1a0"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga5d210fea3743a7fb8bc4cc1cfb155a83"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d8/d45/group___n_a_n_o1_x2___r_t_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga5d210fea3743a7fb8bc4cc1cfb155a83">RTC_DISABLE_TICK_WAKEUP</a>()&#160;&#160;&#160;(<a class="el" href="../../da/d2d/group___n_a_n_o1_x2___p_e_r_i_p_h_e_r_a_l___d_e_c_l_a_r_a_t_i_o_n.html#ga5359a088f5d8b20ce74d920e46059304">RTC</a>-&gt;TTR &amp;= ~<a class="el" href="../../da/d91/_nano1_x2_series_8h.html#ab160fcd7bebfc3e49da3727139f62f5f">RTC_TTR_TWKE_Msk</a>);</td></tr>
<tr class="memdesc:ga5d210fea3743a7fb8bc4cc1cfb155a83"><td class="mdescLeft">&#160;</td><td class="mdescRight">Disable Timer tick wakeup function.  <a href="../../d8/d45/group___n_a_n_o1_x2___r_t_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga5d210fea3743a7fb8bc4cc1cfb155a83">More...</a><br /></td></tr>
<tr class="separator:ga5d210fea3743a7fb8bc4cc1cfb155a83"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="func-members" name="func-members"></a>
Functions</h2></td></tr>
<tr class="memitem:ga3dfc56f94720f1d0ad59b7e02cad2547"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d8/d45/group___n_a_n_o1_x2___r_t_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga3dfc56f94720f1d0ad59b7e02cad2547">RTC_Open</a> (<a class="el" href="../../db/d65/struct_s___r_t_c___t_i_m_e___d_a_t_a___t.html">S_RTC_TIME_DATA_T</a> *sPt)</td></tr>
<tr class="memdesc:ga3dfc56f94720f1d0ad59b7e02cad2547"><td class="mdescLeft">&#160;</td><td class="mdescRight">This function is used to: <br  />
.  <a href="../../d8/d45/group___n_a_n_o1_x2___r_t_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga3dfc56f94720f1d0ad59b7e02cad2547">More...</a><br /></td></tr>
<tr class="separator:ga3dfc56f94720f1d0ad59b7e02cad2547"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga6f87d84d966a979b91af4db66582d9c3"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d8/d45/group___n_a_n_o1_x2___r_t_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga6f87d84d966a979b91af4db66582d9c3">RTC_Close</a> (void)</td></tr>
<tr class="memdesc:ga6f87d84d966a979b91af4db66582d9c3"><td class="mdescLeft">&#160;</td><td class="mdescRight">Disable RTC clock.  <a href="../../d8/d45/group___n_a_n_o1_x2___r_t_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga6f87d84d966a979b91af4db66582d9c3">More...</a><br /></td></tr>
<tr class="separator:ga6f87d84d966a979b91af4db66582d9c3"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga068ecf4e2fa445cf5a2e86d5226b659c"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d8/d45/group___n_a_n_o1_x2___r_t_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga068ecf4e2fa445cf5a2e86d5226b659c">RTC_32KCalibration</a> (int32_t i32FrequencyX10000)</td></tr>
<tr class="memdesc:ga068ecf4e2fa445cf5a2e86d5226b659c"><td class="mdescLeft">&#160;</td><td class="mdescRight">Set Frequency Compensation Data.  <a href="../../d8/d45/group___n_a_n_o1_x2___r_t_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga068ecf4e2fa445cf5a2e86d5226b659c">More...</a><br /></td></tr>
<tr class="separator:ga068ecf4e2fa445cf5a2e86d5226b659c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gab033fe338dc5c91d0c05975380f4d46c"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d8/d45/group___n_a_n_o1_x2___r_t_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gab033fe338dc5c91d0c05975380f4d46c">RTC_SetTickPeriod</a> (uint32_t u32TickSelection)</td></tr>
<tr class="memdesc:gab033fe338dc5c91d0c05975380f4d46c"><td class="mdescLeft">&#160;</td><td class="mdescRight">The function is used to set time tick period for periodic time tick Interrupt.  <a href="../../d8/d45/group___n_a_n_o1_x2___r_t_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gab033fe338dc5c91d0c05975380f4d46c">More...</a><br /></td></tr>
<tr class="separator:gab033fe338dc5c91d0c05975380f4d46c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga04757169c2ecc5daf11616e7a94b103d"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d8/d45/group___n_a_n_o1_x2___r_t_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga04757169c2ecc5daf11616e7a94b103d">RTC_EnableInt</a> (uint32_t u32IntFlagMask)</td></tr>
<tr class="memdesc:ga04757169c2ecc5daf11616e7a94b103d"><td class="mdescLeft">&#160;</td><td class="mdescRight">The function is used to enable specified interrupt.  <a href="../../d8/d45/group___n_a_n_o1_x2___r_t_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga04757169c2ecc5daf11616e7a94b103d">More...</a><br /></td></tr>
<tr class="separator:ga04757169c2ecc5daf11616e7a94b103d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga95e7b212d9ea3c8d9925f1d9d6a7adba"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d8/d45/group___n_a_n_o1_x2___r_t_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga95e7b212d9ea3c8d9925f1d9d6a7adba">RTC_DisableInt</a> (uint32_t u32IntFlagMask)</td></tr>
<tr class="memdesc:ga95e7b212d9ea3c8d9925f1d9d6a7adba"><td class="mdescLeft">&#160;</td><td class="mdescRight">The function is used to disable specified interrupt.  <a href="../../d8/d45/group___n_a_n_o1_x2___r_t_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga95e7b212d9ea3c8d9925f1d9d6a7adba">More...</a><br /></td></tr>
<tr class="separator:ga95e7b212d9ea3c8d9925f1d9d6a7adba"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga13410b882014dab95d772d5f4c74a587"><td class="memItemLeft" align="right" valign="top">uint32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d8/d45/group___n_a_n_o1_x2___r_t_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga13410b882014dab95d772d5f4c74a587">RTC_GetDayOfWeek</a> (void)</td></tr>
<tr class="memdesc:ga13410b882014dab95d772d5f4c74a587"><td class="mdescLeft">&#160;</td><td class="mdescRight">This function is used to get day of week.  <a href="../../d8/d45/group___n_a_n_o1_x2___r_t_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga13410b882014dab95d772d5f4c74a587">More...</a><br /></td></tr>
<tr class="separator:ga13410b882014dab95d772d5f4c74a587"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga9952ececf928b21361f438a9838098e8"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d8/d45/group___n_a_n_o1_x2___r_t_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga9952ececf928b21361f438a9838098e8">RTC_DisableTamperDetection</a> (void)</td></tr>
<tr class="memdesc:ga9952ececf928b21361f438a9838098e8"><td class="mdescLeft">&#160;</td><td class="mdescRight">This function is used to disable tamper detection function.  <a href="../../d8/d45/group___n_a_n_o1_x2___r_t_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga9952ececf928b21361f438a9838098e8">More...</a><br /></td></tr>
<tr class="separator:ga9952ececf928b21361f438a9838098e8"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga524763363389c8ac1638edfa0bc40d26"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d8/d45/group___n_a_n_o1_x2___r_t_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga524763363389c8ac1638edfa0bc40d26">RTC_EnableTamperDetection</a> (uint32_t u32PinCondition)</td></tr>
<tr class="memdesc:ga524763363389c8ac1638edfa0bc40d26"><td class="mdescLeft">&#160;</td><td class="mdescRight">This function is used to: <br  />
.  <a href="../../d8/d45/group___n_a_n_o1_x2___r_t_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga524763363389c8ac1638edfa0bc40d26">More...</a><br /></td></tr>
<tr class="separator:ga524763363389c8ac1638edfa0bc40d26"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga91109691f6f2f09309ea4f8a80c5dfad"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d8/d45/group___n_a_n_o1_x2___r_t_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga91109691f6f2f09309ea4f8a80c5dfad">RTC_SetAlarmTime</a> (uint32_t u32Hour, uint32_t u32Minute, uint32_t u32Second, uint32_t u32TimeMode, uint32_t u32AmPm)</td></tr>
<tr class="memdesc:ga91109691f6f2f09309ea4f8a80c5dfad"><td class="mdescLeft">&#160;</td><td class="mdescRight">This function is used to set alarm date to RTC.  <a href="../../d8/d45/group___n_a_n_o1_x2___r_t_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga91109691f6f2f09309ea4f8a80c5dfad">More...</a><br /></td></tr>
<tr class="separator:ga91109691f6f2f09309ea4f8a80c5dfad"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gacefd98fd02a524ba3db5490b68da2a9d"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d8/d45/group___n_a_n_o1_x2___r_t_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gacefd98fd02a524ba3db5490b68da2a9d">RTC_SetAlarmDate</a> (uint32_t u32Year, uint32_t u32Month, uint32_t u32Day)</td></tr>
<tr class="memdesc:gacefd98fd02a524ba3db5490b68da2a9d"><td class="mdescLeft">&#160;</td><td class="mdescRight">This function is used to set alarm date to RTC.  <a href="../../d8/d45/group___n_a_n_o1_x2___r_t_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gacefd98fd02a524ba3db5490b68da2a9d">More...</a><br /></td></tr>
<tr class="separator:gacefd98fd02a524ba3db5490b68da2a9d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga814dadca05393de94c8086104d7d0595"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d8/d45/group___n_a_n_o1_x2___r_t_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga814dadca05393de94c8086104d7d0595">RTC_SetTime</a> (uint32_t u32Hour, uint32_t u32Minute, uint32_t u32Second, uint32_t u32TimeMode, uint32_t u32AmPm)</td></tr>
<tr class="memdesc:ga814dadca05393de94c8086104d7d0595"><td class="mdescLeft">&#160;</td><td class="mdescRight">This function is used to update time to RTC.  <a href="../../d8/d45/group___n_a_n_o1_x2___r_t_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga814dadca05393de94c8086104d7d0595">More...</a><br /></td></tr>
<tr class="separator:ga814dadca05393de94c8086104d7d0595"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga60e2a39242d550d372cd5b3ea88c20f1"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d8/d45/group___n_a_n_o1_x2___r_t_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga60e2a39242d550d372cd5b3ea88c20f1">RTC_SetDate</a> (uint32_t u32Year, uint32_t u32Month, uint32_t u32Day, uint32_t u32DayOfWeek)</td></tr>
<tr class="memdesc:ga60e2a39242d550d372cd5b3ea88c20f1"><td class="mdescLeft">&#160;</td><td class="mdescRight">This function is used to update date to RTC.  <a href="../../d8/d45/group___n_a_n_o1_x2___r_t_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga60e2a39242d550d372cd5b3ea88c20f1">More...</a><br /></td></tr>
<tr class="separator:ga60e2a39242d550d372cd5b3ea88c20f1"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga409ada4692ecf2989c51684fc5a11596"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d8/d45/group___n_a_n_o1_x2___r_t_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga409ada4692ecf2989c51684fc5a11596">RTC_SetAlarmDateAndTime</a> (<a class="el" href="../../db/d65/struct_s___r_t_c___t_i_m_e___d_a_t_a___t.html">S_RTC_TIME_DATA_T</a> *sPt)</td></tr>
<tr class="memdesc:ga409ada4692ecf2989c51684fc5a11596"><td class="mdescLeft">&#160;</td><td class="mdescRight">This function is used to set alarm date/time to RTC.  <a href="../../d8/d45/group___n_a_n_o1_x2___r_t_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga409ada4692ecf2989c51684fc5a11596">More...</a><br /></td></tr>
<tr class="separator:ga409ada4692ecf2989c51684fc5a11596"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga17bb208aa8fa4bda753b7fb7ef051be4"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d8/d45/group___n_a_n_o1_x2___r_t_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga17bb208aa8fa4bda753b7fb7ef051be4">RTC_SetDateAndTime</a> (<a class="el" href="../../db/d65/struct_s___r_t_c___t_i_m_e___d_a_t_a___t.html">S_RTC_TIME_DATA_T</a> *sPt)</td></tr>
<tr class="memdesc:ga17bb208aa8fa4bda753b7fb7ef051be4"><td class="mdescLeft">&#160;</td><td class="mdescRight">This function is used to update date/time to RTC.  <a href="../../d8/d45/group___n_a_n_o1_x2___r_t_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga17bb208aa8fa4bda753b7fb7ef051be4">More...</a><br /></td></tr>
<tr class="separator:ga17bb208aa8fa4bda753b7fb7ef051be4"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga3d47364bb2baa1c6ab7f20a7df83c562"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d8/d45/group___n_a_n_o1_x2___r_t_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga3d47364bb2baa1c6ab7f20a7df83c562">RTC_GetAlarmDateAndTime</a> (<a class="el" href="../../db/d65/struct_s___r_t_c___t_i_m_e___d_a_t_a___t.html">S_RTC_TIME_DATA_T</a> *sPt)</td></tr>
<tr class="memdesc:ga3d47364bb2baa1c6ab7f20a7df83c562"><td class="mdescLeft">&#160;</td><td class="mdescRight">Read alarm date/time from RTC setting.  <a href="../../d8/d45/group___n_a_n_o1_x2___r_t_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga3d47364bb2baa1c6ab7f20a7df83c562">More...</a><br /></td></tr>
<tr class="separator:ga3d47364bb2baa1c6ab7f20a7df83c562"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gaf6a099b0c535e8896b99f744601f9d8a"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d8/d45/group___n_a_n_o1_x2___r_t_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gaf6a099b0c535e8896b99f744601f9d8a">RTC_GetDateAndTime</a> (<a class="el" href="../../db/d65/struct_s___r_t_c___t_i_m_e___d_a_t_a___t.html">S_RTC_TIME_DATA_T</a> *sPt)</td></tr>
<tr class="memdesc:gaf6a099b0c535e8896b99f744601f9d8a"><td class="mdescLeft">&#160;</td><td class="mdescRight">Read current date/time from RTC setting.  <a href="../../d8/d45/group___n_a_n_o1_x2___r_t_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gaf6a099b0c535e8896b99f744601f9d8a">More...</a><br /></td></tr>
<tr class="separator:gaf6a099b0c535e8896b99f744601f9d8a"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="var-members" name="var-members"></a>
Variables</h2></td></tr>
<tr class="memitem:gaaf57f7bbfd9a465e0d40bffd6374871f"><td class="memItemLeft" align="right" valign="top">uint32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d8/d45/group___n_a_n_o1_x2___r_t_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gaaf57f7bbfd9a465e0d40bffd6374871f">S_RTC_TIME_DATA_T::u32Year</a></td></tr>
<tr class="separator:gaaf57f7bbfd9a465e0d40bffd6374871f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga28f8319a6c75aa27d786f938d84aa0c9"><td class="memItemLeft" align="right" valign="top">uint32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d8/d45/group___n_a_n_o1_x2___r_t_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga28f8319a6c75aa27d786f938d84aa0c9">S_RTC_TIME_DATA_T::u32Month</a></td></tr>
<tr class="separator:ga28f8319a6c75aa27d786f938d84aa0c9"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga8e1878e1510ce6ead051162995c6dc19"><td class="memItemLeft" align="right" valign="top">uint32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d8/d45/group___n_a_n_o1_x2___r_t_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga8e1878e1510ce6ead051162995c6dc19">S_RTC_TIME_DATA_T::u32Day</a></td></tr>
<tr class="separator:ga8e1878e1510ce6ead051162995c6dc19"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga90c962807d6695fe7ebed72d1f14d0a5"><td class="memItemLeft" align="right" valign="top">uint32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d8/d45/group___n_a_n_o1_x2___r_t_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga90c962807d6695fe7ebed72d1f14d0a5">S_RTC_TIME_DATA_T::u32DayOfWeek</a></td></tr>
<tr class="separator:ga90c962807d6695fe7ebed72d1f14d0a5"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga47000df9a2b3e5007206cff3a64a13a0"><td class="memItemLeft" align="right" valign="top">uint32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d8/d45/group___n_a_n_o1_x2___r_t_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga47000df9a2b3e5007206cff3a64a13a0">S_RTC_TIME_DATA_T::u32Hour</a></td></tr>
<tr class="separator:ga47000df9a2b3e5007206cff3a64a13a0"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga73517c90b11996fdd2f7d88c9d52108b"><td class="memItemLeft" align="right" valign="top">uint32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d8/d45/group___n_a_n_o1_x2___r_t_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga73517c90b11996fdd2f7d88c9d52108b">S_RTC_TIME_DATA_T::u32Minute</a></td></tr>
<tr class="separator:ga73517c90b11996fdd2f7d88c9d52108b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gad18f79857eb312939ada311a91b0ae62"><td class="memItemLeft" align="right" valign="top">uint32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d8/d45/group___n_a_n_o1_x2___r_t_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gad18f79857eb312939ada311a91b0ae62">S_RTC_TIME_DATA_T::u32Second</a></td></tr>
<tr class="separator:gad18f79857eb312939ada311a91b0ae62"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gad3abd0c20af75576b6f3ab0d0dcb67fe"><td class="memItemLeft" align="right" valign="top">uint32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d8/d45/group___n_a_n_o1_x2___r_t_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gad3abd0c20af75576b6f3ab0d0dcb67fe">S_RTC_TIME_DATA_T::u32TimeScale</a></td></tr>
<tr class="separator:gad3abd0c20af75576b6f3ab0d0dcb67fe"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga36cfd8ed019c8243b7eaf1cb37985073"><td class="memItemLeft" align="right" valign="top">uint32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d8/d45/group___n_a_n_o1_x2___r_t_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga36cfd8ed019c8243b7eaf1cb37985073">S_RTC_TIME_DATA_T::u32AmPm</a></td></tr>
<tr class="separator:ga36cfd8ed019c8243b7eaf1cb37985073"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<h2 class="groupheader">Macro Definition Documentation</h2>
<a id="gaf78901ec0a6bc00faa9c222a34788a98" name="gaf78901ec0a6bc00faa9c222a34788a98"></a>
<h2 class="memtitle"><span class="permalink"><a href="#gaf78901ec0a6bc00faa9c222a34788a98">&#9670;&nbsp;</a></span>RTC_CLEAR_ALARM_INT_FLAG</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define RTC_CLEAR_ALARM_INT_FLAG</td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td>&#160;&#160;&#160;(<a class="el" href="../../da/d2d/group___n_a_n_o1_x2___p_e_r_i_p_h_e_r_a_l___d_e_c_l_a_r_a_t_i_o_n.html#ga5359a088f5d8b20ce74d920e46059304">RTC</a>-&gt;RIIR = <a class="el" href="../../da/d91/_nano1_x2_series_8h.html#a92e0981f6411d6ea211ddf3a0963d553">RTC_RIIR_AIF_Msk</a>)</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Clear alarm interrupt status. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">None</td><td></td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>None </dd></dl>

<p class="definition">Definition at line <a class="el" href="../../dc/d1b/rtc_8h_source.html#l00141">141</a> of file <a class="el" href="../../dc/d1b/rtc_8h_source.html">rtc.h</a>.</p>

</div>
</div>
<a id="ga1083ef9c749476d417d53d194bbff608" name="ga1083ef9c749476d417d53d194bbff608"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ga1083ef9c749476d417d53d194bbff608">&#9670;&nbsp;</a></span>RTC_CLEAR_TAMPER_FLAG</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define RTC_CLEAR_TAMPER_FLAG</td>
          <td>(</td>
          <td class="paramtype">&#160;</td>
          <td class="paramname">u32PinNum</td><td>)</td>
          <td>&#160;&#160;&#160;(<a class="el" href="../../da/d2d/group___n_a_n_o1_x2___p_e_r_i_p_h_e_r_a_l___d_e_c_l_a_r_a_t_i_o_n.html#ga5359a088f5d8b20ce74d920e46059304">RTC</a>-&gt;RIIR = <a class="el" href="../../da/d91/_nano1_x2_series_8h.html#af1e4f69211e9b010d23cecf2e4a658d8">RTC_RIIR_SNOOPIF_Msk</a>)</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Clear tamper detect pin status. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">u32PinNum</td><td>tamper detect pin number.</td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>None </dd></dl>

<p class="definition">Definition at line <a class="el" href="../../dc/d1b/rtc_8h_source.html#l00171">171</a> of file <a class="el" href="../../dc/d1b/rtc_8h_source.html">rtc.h</a>.</p>

</div>
</div>
<a id="gaa9f9bc7680ebe6eb41a1821bfdbc4b35" name="gaa9f9bc7680ebe6eb41a1821bfdbc4b35"></a>
<h2 class="memtitle"><span class="permalink"><a href="#gaa9f9bc7680ebe6eb41a1821bfdbc4b35">&#9670;&nbsp;</a></span>RTC_CLEAR_TICK_INT_FLAG</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define RTC_CLEAR_TICK_INT_FLAG</td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td>&#160;&#160;&#160;(<a class="el" href="../../da/d2d/group___n_a_n_o1_x2___p_e_r_i_p_h_e_r_a_l___d_e_c_l_a_r_a_t_i_o_n.html#ga5359a088f5d8b20ce74d920e46059304">RTC</a>-&gt;RIIR = <a class="el" href="../../da/d91/_nano1_x2_series_8h.html#a5911096c28e6e7d3eb6c4b6000fa0b5f">RTC_RIIR_TIF_Msk</a>)</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Clear tick interrupt status. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">None</td><td></td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>None </dd></dl>

<p class="definition">Definition at line <a class="el" href="../../dc/d1b/rtc_8h_source.html#l00151">151</a> of file <a class="el" href="../../dc/d1b/rtc_8h_source.html">rtc.h</a>.</p>

</div>
</div>
<a id="ga5d210fea3743a7fb8bc4cc1cfb155a83" name="ga5d210fea3743a7fb8bc4cc1cfb155a83"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ga5d210fea3743a7fb8bc4cc1cfb155a83">&#9670;&nbsp;</a></span>RTC_DISABLE_TICK_WAKEUP</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define RTC_DISABLE_TICK_WAKEUP</td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td>&#160;&#160;&#160;(<a class="el" href="../../da/d2d/group___n_a_n_o1_x2___p_e_r_i_p_h_e_r_a_l___d_e_c_l_a_r_a_t_i_o_n.html#ga5359a088f5d8b20ce74d920e46059304">RTC</a>-&gt;TTR &amp;= ~<a class="el" href="../../da/d91/_nano1_x2_series_8h.html#ab160fcd7bebfc3e49da3727139f62f5f">RTC_TTR_TWKE_Msk</a>);</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Disable Timer tick wakeup function. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">None</td><td></td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>None </dd></dl>

<p class="definition">Definition at line <a class="el" href="../../dc/d1b/rtc_8h_source.html#l00212">212</a> of file <a class="el" href="../../dc/d1b/rtc_8h_source.html">rtc.h</a>.</p>

</div>
</div>
<a id="gab621aaec187157f72a666429a560a1a0" name="gab621aaec187157f72a666429a560a1a0"></a>
<h2 class="memtitle"><span class="permalink"><a href="#gab621aaec187157f72a666429a560a1a0">&#9670;&nbsp;</a></span>RTC_ENABLE_TICK_WAKEUP</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define RTC_ENABLE_TICK_WAKEUP</td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td>&#160;&#160;&#160;(<a class="el" href="../../da/d2d/group___n_a_n_o1_x2___p_e_r_i_p_h_e_r_a_l___d_e_c_l_a_r_a_t_i_o_n.html#ga5359a088f5d8b20ce74d920e46059304">RTC</a>-&gt;TTR |= <a class="el" href="../../da/d91/_nano1_x2_series_8h.html#ab160fcd7bebfc3e49da3727139f62f5f">RTC_TTR_TWKE_Msk</a>);</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Enable Timer tick wakeup function. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">None</td><td></td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>None </dd></dl>

<p class="definition">Definition at line <a class="el" href="../../dc/d1b/rtc_8h_source.html#l00202">202</a> of file <a class="el" href="../../dc/d1b/rtc_8h_source.html">rtc.h</a>.</p>

</div>
</div>
<a id="ga6aa031784a68b2ccfa39d325e83b4350" name="ga6aa031784a68b2ccfa39d325e83b4350"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ga6aa031784a68b2ccfa39d325e83b4350">&#9670;&nbsp;</a></span>RTC_GET_ALARM_INT_FLAG</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define RTC_GET_ALARM_INT_FLAG</td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td>&#160;&#160;&#160;((<a class="el" href="../../da/d2d/group___n_a_n_o1_x2___p_e_r_i_p_h_e_r_a_l___d_e_c_l_a_r_a_t_i_o_n.html#ga5359a088f5d8b20ce74d920e46059304">RTC</a>-&gt;RIIR &amp; <a class="el" href="../../da/d91/_nano1_x2_series_8h.html#a92e0981f6411d6ea211ddf3a0963d553">RTC_RIIR_AIF_Msk</a>) &gt;&gt; <a class="el" href="../../da/d91/_nano1_x2_series_8h.html#ad8bca1330064489e896757b47ed29183">RTC_RIIR_AIF_Pos</a>)</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Get alarm interrupt status. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">None</td><td></td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>Alarm interrupt status </dd></dl>

<p class="definition">Definition at line <a class="el" href="../../dc/d1b/rtc_8h_source.html#l00161">161</a> of file <a class="el" href="../../dc/d1b/rtc_8h_source.html">rtc.h</a>.</p>

</div>
</div>
<a id="gaedde748317bd4f2187caabf22713873c" name="gaedde748317bd4f2187caabf22713873c"></a>
<h2 class="memtitle"><span class="permalink"><a href="#gaedde748317bd4f2187caabf22713873c">&#9670;&nbsp;</a></span>RTC_GET_TAMPER_FLAG</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define RTC_GET_TAMPER_FLAG</td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td>&#160;&#160;&#160;( (<a class="el" href="../../da/d2d/group___n_a_n_o1_x2___p_e_r_i_p_h_e_r_a_l___d_e_c_l_a_r_a_t_i_o_n.html#ga5359a088f5d8b20ce74d920e46059304">RTC</a>-&gt;RIIR &amp; <a class="el" href="../../da/d91/_nano1_x2_series_8h.html#af1e4f69211e9b010d23cecf2e4a658d8">RTC_RIIR_SNOOPIF_Msk</a>) &gt;&gt; <a class="el" href="../../da/d91/_nano1_x2_series_8h.html#a4c575f3edc52adf5ca6ceeace5752781">RTC_RIIR_SNOOPIF_Pos</a>)</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Get tamper detect pin status. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">None</td><td></td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>1: Snooper Pin Event Detected <br  />
 0: Snooper Pin Event Never Detected </dd></dl>

<p class="definition">Definition at line <a class="el" href="../../dc/d1b/rtc_8h_source.html#l00192">192</a> of file <a class="el" href="../../dc/d1b/rtc_8h_source.html">rtc.h</a>.</p>

</div>
</div>
<a id="gaf089de7182cd191001a1ebad4768ff51" name="gaf089de7182cd191001a1ebad4768ff51"></a>
<h2 class="memtitle"><span class="permalink"><a href="#gaf089de7182cd191001a1ebad4768ff51">&#9670;&nbsp;</a></span>RTC_GET_TICK_INT_FLAG</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define RTC_GET_TICK_INT_FLAG</td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td>&#160;&#160;&#160;((<a class="el" href="../../da/d2d/group___n_a_n_o1_x2___p_e_r_i_p_h_e_r_a_l___d_e_c_l_a_r_a_t_i_o_n.html#ga5359a088f5d8b20ce74d920e46059304">RTC</a>-&gt;RIIR &amp; <a class="el" href="../../da/d91/_nano1_x2_series_8h.html#a5911096c28e6e7d3eb6c4b6000fa0b5f">RTC_RIIR_TIF_Msk</a>) &gt;&gt; <a class="el" href="../../da/d91/_nano1_x2_series_8h.html#ada1b147c82bcd7f4b359a6e84a9d9fc1">RTC_RIIR_TIF_Pos</a>)</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Get alarm interrupt status. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">None</td><td></td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>Alarm interrupt status </dd></dl>

<p class="definition">Definition at line <a class="el" href="../../dc/d1b/rtc_8h_source.html#l00181">181</a> of file <a class="el" href="../../dc/d1b/rtc_8h_source.html">rtc.h</a>.</p>

</div>
</div>
<a id="ga7cdf540e4c00e818a6e0f52873058e81" name="ga7cdf540e4c00e818a6e0f52873058e81"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ga7cdf540e4c00e818a6e0f52873058e81">&#9670;&nbsp;</a></span>RTC_IS_LEAP_YEAR</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define RTC_IS_LEAP_YEAR</td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td>&#160;&#160;&#160;((<a class="el" href="../../da/d2d/group___n_a_n_o1_x2___p_e_r_i_p_h_e_r_a_l___d_e_c_l_a_r_a_t_i_o_n.html#ga5359a088f5d8b20ce74d920e46059304">RTC</a>-&gt;LIR &amp; (<a class="el" href="../../da/d91/_nano1_x2_series_8h.html#a07ddc0a16df4ac356558e3af2c0f9881">RTC_LIR_LIR_Msk</a>))?1:0)</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>According to current time, return this year is leap year or not. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">None</td><td></td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>0 = This year is not a leap year. <br  />
 1 = This year is a leap year. </dd></dl>

<p class="definition">Definition at line <a class="el" href="../../dc/d1b/rtc_8h_source.html#l00131">131</a> of file <a class="el" href="../../dc/d1b/rtc_8h_source.html">rtc.h</a>.</p>

</div>
</div>
<a id="gac55d7cf872b90e802ffbfdecd466ea8a" name="gac55d7cf872b90e802ffbfdecd466ea8a"></a>
<h2 class="memtitle"><span class="permalink"><a href="#gac55d7cf872b90e802ffbfdecd466ea8a">&#9670;&nbsp;</a></span>RTC_READ_SPARE_REGISTER</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define RTC_READ_SPARE_REGISTER</td>
          <td>(</td>
          <td class="paramtype">&#160;</td>
          <td class="paramname">u32RegNum</td><td>)</td>
          <td>&#160;&#160;&#160;(<a class="el" href="../../da/d2d/group___n_a_n_o1_x2___p_e_r_i_p_h_e_r_a_l___d_e_c_l_a_r_a_t_i_o_n.html#ga5359a088f5d8b20ce74d920e46059304">RTC</a>-&gt;SPR[u32RegNum])</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Read spare register. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">u32RegNum</td><td>The spare register number(0~23)</td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>Spare register content. </dd></dl>

<p class="definition">Definition at line <a class="el" href="../../dc/d1b/rtc_8h_source.html#l00109">109</a> of file <a class="el" href="../../dc/d1b/rtc_8h_source.html">rtc.h</a>.</p>

</div>
</div>
<a id="ga7673a733b8ddfd27865ebb03ae5b47a5" name="ga7673a733b8ddfd27865ebb03ae5b47a5"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ga7673a733b8ddfd27865ebb03ae5b47a5">&#9670;&nbsp;</a></span>RTC_WRITE_SPARE_REGISTER</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define RTC_WRITE_SPARE_REGISTER</td>
          <td>(</td>
          <td class="paramtype">&#160;</td>
          <td class="paramname">u32RegNum, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">&#160;</td>
          <td class="paramname">u32RegValue&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td>&#160;&#160;&#160;(<a class="el" href="../../da/d2d/group___n_a_n_o1_x2___p_e_r_i_p_h_e_r_a_l___d_e_c_l_a_r_a_t_i_o_n.html#ga5359a088f5d8b20ce74d920e46059304">RTC</a>-&gt;SPR[u32RegNum] = u32RegValue)</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Write spare register. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">u32RegNum</td><td>The spare register number(0~23) </td></tr>
    <tr><td class="paramdir">[in]</td><td class="paramname">u32RegValue</td><td>The spare register value</td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>None </dd></dl>

<p class="definition">Definition at line <a class="el" href="../../dc/d1b/rtc_8h_source.html#l00120">120</a> of file <a class="el" href="../../dc/d1b/rtc_8h_source.html">rtc.h</a>.</p>

</div>
</div>
<h2 class="groupheader">Function Documentation</h2>
<a id="ga068ecf4e2fa445cf5a2e86d5226b659c" name="ga068ecf4e2fa445cf5a2e86d5226b659c"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ga068ecf4e2fa445cf5a2e86d5226b659c">&#9670;&nbsp;</a></span>RTC_32KCalibration()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void RTC_32KCalibration </td>
          <td>(</td>
          <td class="paramtype">int32_t&#160;</td>
          <td class="paramname"><em>i32FrequencyX10000</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Set Frequency Compensation Data. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">i32FrequencyX10000</td><td>Specify the RTC clock X10000, ex: 327736512 means 32773.6512.</td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>None </dd></dl>

<p class="definition">Definition at line <a class="el" href="../../d4/dcc/rtc_8c_source.html#l00058">58</a> of file <a class="el" href="../../d4/dcc/rtc_8c_source.html">rtc.c</a>.</p>

</div>
</div>
<a id="ga6f87d84d966a979b91af4db66582d9c3" name="ga6f87d84d966a979b91af4db66582d9c3"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ga6f87d84d966a979b91af4db66582d9c3">&#9670;&nbsp;</a></span>RTC_Close()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void RTC_Close </td>
          <td>(</td>
          <td class="paramtype">void&#160;</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Disable RTC clock. </p>
<dl class="section return"><dt>Returns</dt><dd>None </dd></dl>

<p class="definition">Definition at line <a class="el" href="../../d4/dcc/rtc_8c_source.html#l00952">952</a> of file <a class="el" href="../../d4/dcc/rtc_8c_source.html">rtc.c</a>.</p>

</div>
</div>
<a id="ga95e7b212d9ea3c8d9925f1d9d6a7adba" name="ga95e7b212d9ea3c8d9925f1d9d6a7adba"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ga95e7b212d9ea3c8d9925f1d9d6a7adba">&#9670;&nbsp;</a></span>RTC_DisableInt()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void RTC_DisableInt </td>
          <td>(</td>
          <td class="paramtype">uint32_t&#160;</td>
          <td class="paramname"><em>u32IntFlagMask</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>The function is used to disable specified interrupt. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">u32IntFlagMask</td><td>The structure of interrupt source. It consists of: <br  />
 <a class="el" href="../../da/d91/_nano1_x2_series_8h.html#a6c34d1616e0a308c95f44449773e298b">RTC_RIER_AIER_Msk</a> : Alarm interrupt <br  />
 <a class="el" href="../../da/d91/_nano1_x2_series_8h.html#a49208c3d6030dc497610a6a31c882cad">RTC_RIER_TIER_Msk</a> : Tick interrupt <br  />
 <a class="el" href="../../da/d91/_nano1_x2_series_8h.html#add2b334c35e385c73906394c5c331549">RTC_RIER_SNOOPIER_Msk</a> : Snooper Pin Event Detection Interrupt<br  />
 </td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>None </dd></dl>

<p class="definition">Definition at line <a class="el" href="../../d4/dcc/rtc_8c_source.html#l00915">915</a> of file <a class="el" href="../../d4/dcc/rtc_8c_source.html">rtc.c</a>.</p>

</div>
</div>
<a id="ga9952ececf928b21361f438a9838098e8" name="ga9952ececf928b21361f438a9838098e8"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ga9952ececf928b21361f438a9838098e8">&#9670;&nbsp;</a></span>RTC_DisableTamperDetection()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void RTC_DisableTamperDetection </td>
          <td>(</td>
          <td class="paramtype">void&#160;</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>This function is used to disable tamper detection function. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">None</td><td></td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>None </dd></dl>

<p class="definition">Definition at line <a class="el" href="../../d4/dcc/rtc_8c_source.html#l00819">819</a> of file <a class="el" href="../../d4/dcc/rtc_8c_source.html">rtc.c</a>.</p>

</div>
</div>
<a id="ga04757169c2ecc5daf11616e7a94b103d" name="ga04757169c2ecc5daf11616e7a94b103d"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ga04757169c2ecc5daf11616e7a94b103d">&#9670;&nbsp;</a></span>RTC_EnableInt()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void RTC_EnableInt </td>
          <td>(</td>
          <td class="paramtype">uint32_t&#160;</td>
          <td class="paramname"><em>u32IntFlagMask</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>The function is used to enable specified interrupt. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">u32IntFlagMask</td><td>The structure of interrupt source. It consists of: <br  />
 <a class="el" href="../../da/d91/_nano1_x2_series_8h.html#a6c34d1616e0a308c95f44449773e298b">RTC_RIER_AIER_Msk</a> : Alarm interrupt <br  />
 <a class="el" href="../../da/d91/_nano1_x2_series_8h.html#a49208c3d6030dc497610a6a31c882cad">RTC_RIER_TIER_Msk</a> : Tick interrupt <br  />
 <a class="el" href="../../da/d91/_nano1_x2_series_8h.html#add2b334c35e385c73906394c5c331549">RTC_RIER_SNOOPIER_Msk</a> : Snooper Pin Event Detection Interrupt<br  />
 </td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>None </dd></dl>

<p class="definition">Definition at line <a class="el" href="../../d4/dcc/rtc_8c_source.html#l00890">890</a> of file <a class="el" href="../../d4/dcc/rtc_8c_source.html">rtc.c</a>.</p>

</div>
</div>
<a id="ga524763363389c8ac1638edfa0bc40d26" name="ga524763363389c8ac1638edfa0bc40d26"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ga524763363389c8ac1638edfa0bc40d26">&#9670;&nbsp;</a></span>RTC_EnableTamperDetection()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void RTC_EnableTamperDetection </td>
          <td>(</td>
          <td class="paramtype">uint32_t&#160;</td>
          <td class="paramname"><em>u32PinCondition</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>This function is used to: <br  />
. </p>
<ol type="1">
<li>Enable tamper detection function. <br  />
</li>
<li>Set tamper control register, interrupt. <br  />
 <dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">u32PinCondition</td><td>set tamper detection condition: 1=Falling detect, 0=Rising detect</td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>None </dd></dl>
</li>
</ol>

<p class="definition">Definition at line <a class="el" href="../../d4/dcc/rtc_8c_source.html#l00790">790</a> of file <a class="el" href="../../d4/dcc/rtc_8c_source.html">rtc.c</a>.</p>

</div>
</div>
<a id="ga3d47364bb2baa1c6ab7f20a7df83c562" name="ga3d47364bb2baa1c6ab7f20a7df83c562"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ga3d47364bb2baa1c6ab7f20a7df83c562">&#9670;&nbsp;</a></span>RTC_GetAlarmDateAndTime()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void RTC_GetAlarmDateAndTime </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../db/d65/struct_s___r_t_c___t_i_m_e___d_a_t_a___t.html">S_RTC_TIME_DATA_T</a> *&#160;</td>
          <td class="paramname"><em>sPt</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Read alarm date/time from RTC setting. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[out]</td><td class="paramname">sPt</td><td><br  />
 Specify the time property and current time. It includes: <br  />
 u32Year: Year value <br  />
 u32Month: Month value <br  />
 u32Day: Day value <br  />
 u32DayOfWeek: Day of week <br  />
 u32Hour: Hour value <br  />
 u32Minute: Minute value <br  />
 u32Second: Second value <br  />
 u32TimeScale: <a class="el" href="../../d7/dd6/group___n_a_n_o1_x2___r_t_c___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gaae8017fbc59380b143776f18af4c75d7">RTC_CLOCK_12</a> / <a class="el" href="../../d7/dd6/group___n_a_n_o1_x2___r_t_c___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga3a81ec9eddb2c5fc996570d1185fd5a5">RTC_CLOCK_24</a> <br  />
 u8AmPm: <a class="el" href="../../d7/dd6/group___n_a_n_o1_x2___r_t_c___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gada0b52b6e9e895690741af2154d2f82e">RTC_AM</a> / <a class="el" href="../../d7/dd6/group___n_a_n_o1_x2___r_t_c___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gacef25d3892e668ac7b3e28e0dc514991">RTC_PM</a> <br  />
 </td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>None </dd></dl>

<p class="definition">Definition at line <a class="el" href="../../d4/dcc/rtc_8c_source.html#l00316">316</a> of file <a class="el" href="../../d4/dcc/rtc_8c_source.html">rtc.c</a>.</p>

</div>
</div>
<a id="gaf6a099b0c535e8896b99f744601f9d8a" name="gaf6a099b0c535e8896b99f744601f9d8a"></a>
<h2 class="memtitle"><span class="permalink"><a href="#gaf6a099b0c535e8896b99f744601f9d8a">&#9670;&nbsp;</a></span>RTC_GetDateAndTime()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void RTC_GetDateAndTime </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../db/d65/struct_s___r_t_c___t_i_m_e___d_a_t_a___t.html">S_RTC_TIME_DATA_T</a> *&#160;</td>
          <td class="paramname"><em>sPt</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Read current date/time from RTC setting. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[out]</td><td class="paramname">sPt</td><td><br  />
 Specify the time property and current time. It includes: <br  />
 u32Year: Year value <br  />
 u32Month: Month value <br  />
 u32Day: Day value <br  />
 u32DayOfWeek: Day of week <br  />
 u32Hour: Hour value <br  />
 u32Minute: Minute value <br  />
 u32Second: Second value <br  />
 u32TimeScale: <a class="el" href="../../d7/dd6/group___n_a_n_o1_x2___r_t_c___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gaae8017fbc59380b143776f18af4c75d7">RTC_CLOCK_12</a> / <a class="el" href="../../d7/dd6/group___n_a_n_o1_x2___r_t_c___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga3a81ec9eddb2c5fc996570d1185fd5a5">RTC_CLOCK_24</a> <br  />
 u8AmPm: <a class="el" href="../../d7/dd6/group___n_a_n_o1_x2___r_t_c___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gada0b52b6e9e895690741af2154d2f82e">RTC_AM</a> / <a class="el" href="../../d7/dd6/group___n_a_n_o1_x2___r_t_c___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gacef25d3892e668ac7b3e28e0dc514991">RTC_PM</a> <br  />
 </td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>None </dd></dl>

<p class="definition">Definition at line <a class="el" href="../../d4/dcc/rtc_8c_source.html#l00223">223</a> of file <a class="el" href="../../d4/dcc/rtc_8c_source.html">rtc.c</a>.</p>

</div>
</div>
<a id="ga13410b882014dab95d772d5f4c74a587" name="ga13410b882014dab95d772d5f4c74a587"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ga13410b882014dab95d772d5f4c74a587">&#9670;&nbsp;</a></span>RTC_GetDayOfWeek()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">uint32_t RTC_GetDayOfWeek </td>
          <td>(</td>
          <td class="paramtype">void&#160;</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>This function is used to get day of week. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">None</td><td></td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>Day of week </dd></dl>

<p class="definition">Definition at line <a class="el" href="../../d4/dcc/rtc_8c_source.html#l00841">841</a> of file <a class="el" href="../../d4/dcc/rtc_8c_source.html">rtc.c</a>.</p>

</div>
</div>
<a id="ga3dfc56f94720f1d0ad59b7e02cad2547" name="ga3dfc56f94720f1d0ad59b7e02cad2547"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ga3dfc56f94720f1d0ad59b7e02cad2547">&#9670;&nbsp;</a></span>RTC_Open()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void RTC_Open </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../db/d65/struct_s___r_t_c___t_i_m_e___d_a_t_a___t.html">S_RTC_TIME_DATA_T</a> *&#160;</td>
          <td class="paramname"><em>sPt</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>This function is used to: <br  />
. </p>
<ol type="1">
<li>Write initial key to let RTC start count. <br  />
</li>
<li>Input parameter indicates start time. <br  />
 Null pointer for using default starting time. <br  />
 <dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">sPt</td><td><br  />
 Specify the time property and current time. It includes: <br  />
 u32Year: Year value. <br  />
 u32Month: Month value. <br  />
 u32Day: Day value. <br  />
 u32DayOfWeek: Day of week. [ <a class="el" href="../../d7/dd6/group___n_a_n_o1_x2___r_t_c___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga75ff3b52950ae540fa13aa5e08eba542">RTC_SUNDAY</a> / <a class="el" href="../../d7/dd6/group___n_a_n_o1_x2___r_t_c___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga2e374db336a0ae99553627b9df14d120">RTC_MONDAY</a> / <a class="el" href="../../d7/dd6/group___n_a_n_o1_x2___r_t_c___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gafd122eb2d134598321cff83a3a052f10">RTC_TUESDAY</a> / <a class="el" href="../../d7/dd6/group___n_a_n_o1_x2___r_t_c___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga620a6070ae47cbbae98021311da05006">RTC_WEDNESDAY</a> / <a class="el" href="../../d7/dd6/group___n_a_n_o1_x2___r_t_c___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga186df79e32dff064ecc49815c9bc4c17">RTC_THURSDAY</a> / <a class="el" href="../../d7/dd6/group___n_a_n_o1_x2___r_t_c___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gad7ce41b76d89cfa3b4f5783d01f5a47d">RTC_FRIDAY</a> / <a class="el" href="../../d7/dd6/group___n_a_n_o1_x2___r_t_c___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gad6fa739d323fe37d14cc1e0ef430dc6c">RTC_SATURDAY</a>] <br  />
 u32Hour: Hour value. <br  />
 u32Minute: Minute value. <br  />
 u32Second: Second value. <br  />
 u32TimeScale: [ <a class="el" href="../../d7/dd6/group___n_a_n_o1_x2___r_t_c___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gaae8017fbc59380b143776f18af4c75d7">RTC_CLOCK_12</a> / <a class="el" href="../../d7/dd6/group___n_a_n_o1_x2___r_t_c___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga3a81ec9eddb2c5fc996570d1185fd5a5">RTC_CLOCK_24</a>] <br  />
 u8AmPm: [ <a class="el" href="../../d7/dd6/group___n_a_n_o1_x2___r_t_c___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gada0b52b6e9e895690741af2154d2f82e">RTC_AM</a> / <a class="el" href="../../d7/dd6/group___n_a_n_o1_x2___r_t_c___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gacef25d3892e668ac7b3e28e0dc514991">RTC_PM</a>] <br  />
 </td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>None </dd></dl>
</li>
</ol>

<p class="definition">Definition at line <a class="el" href="../../d4/dcc/rtc_8c_source.html#l00106">106</a> of file <a class="el" href="../../d4/dcc/rtc_8c_source.html">rtc.c</a>.</p>

</div>
</div>
<a id="gacefd98fd02a524ba3db5490b68da2a9d" name="gacefd98fd02a524ba3db5490b68da2a9d"></a>
<h2 class="memtitle"><span class="permalink"><a href="#gacefd98fd02a524ba3db5490b68da2a9d">&#9670;&nbsp;</a></span>RTC_SetAlarmDate()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void RTC_SetAlarmDate </td>
          <td>(</td>
          <td class="paramtype">uint32_t&#160;</td>
          <td class="paramname"><em>u32Year</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">uint32_t&#160;</td>
          <td class="paramname"><em>u32Month</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">uint32_t&#160;</td>
          <td class="paramname"><em>u32Day</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>This function is used to set alarm date to RTC. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">u32Year</td><td>The Year Calendar Digit of Alarm Setting </td></tr>
    <tr><td class="paramdir">[in]</td><td class="paramname">u32Month</td><td>The Month Calendar Digit of Alarm Setting </td></tr>
    <tr><td class="paramdir">[in]</td><td class="paramname">u32Day</td><td>The Day Calendar Digit of Alarm Setting</td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>None </dd></dl>

<p class="definition">Definition at line <a class="el" href="../../d4/dcc/rtc_8c_source.html#l00692">692</a> of file <a class="el" href="../../d4/dcc/rtc_8c_source.html">rtc.c</a>.</p>

</div>
</div>
<a id="ga409ada4692ecf2989c51684fc5a11596" name="ga409ada4692ecf2989c51684fc5a11596"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ga409ada4692ecf2989c51684fc5a11596">&#9670;&nbsp;</a></span>RTC_SetAlarmDateAndTime()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void RTC_SetAlarmDateAndTime </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../db/d65/struct_s___r_t_c___t_i_m_e___d_a_t_a___t.html">S_RTC_TIME_DATA_T</a> *&#160;</td>
          <td class="paramname"><em>sPt</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>This function is used to set alarm date/time to RTC. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">sPt</td><td><br  />
 Specify the time property and current time. It includes: <br  />
 u32Year: Year value. <br  />
 u32Month: Month value. <br  />
 u32Day: Day value. <br  />
 u32DayOfWeek: Day of week. [ <a class="el" href="../../d7/dd6/group___n_a_n_o1_x2___r_t_c___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga75ff3b52950ae540fa13aa5e08eba542">RTC_SUNDAY</a> / <a class="el" href="../../d7/dd6/group___n_a_n_o1_x2___r_t_c___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga2e374db336a0ae99553627b9df14d120">RTC_MONDAY</a> / <a class="el" href="../../d7/dd6/group___n_a_n_o1_x2___r_t_c___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gafd122eb2d134598321cff83a3a052f10">RTC_TUESDAY</a> / <a class="el" href="../../d7/dd6/group___n_a_n_o1_x2___r_t_c___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga620a6070ae47cbbae98021311da05006">RTC_WEDNESDAY</a> / <a class="el" href="../../d7/dd6/group___n_a_n_o1_x2___r_t_c___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga186df79e32dff064ecc49815c9bc4c17">RTC_THURSDAY</a> / <a class="el" href="../../d7/dd6/group___n_a_n_o1_x2___r_t_c___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gad7ce41b76d89cfa3b4f5783d01f5a47d">RTC_FRIDAY</a> / <a class="el" href="../../d7/dd6/group___n_a_n_o1_x2___r_t_c___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gad6fa739d323fe37d14cc1e0ef430dc6c">RTC_SATURDAY</a> ] <br  />
 u32Hour: Hour value. <br  />
 u32Minute: Minute value. <br  />
 u32Second: Second value. <br  />
 u32TimeScale: [ <a class="el" href="../../d7/dd6/group___n_a_n_o1_x2___r_t_c___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gaae8017fbc59380b143776f18af4c75d7">RTC_CLOCK_12</a> / <a class="el" href="../../d7/dd6/group___n_a_n_o1_x2___r_t_c___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga3a81ec9eddb2c5fc996570d1185fd5a5">RTC_CLOCK_24</a>] <br  />
 u8AmPm: [ <a class="el" href="../../d7/dd6/group___n_a_n_o1_x2___r_t_c___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gada0b52b6e9e895690741af2154d2f82e">RTC_AM</a> / <a class="el" href="../../d7/dd6/group___n_a_n_o1_x2___r_t_c___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gacef25d3892e668ac7b3e28e0dc514991">RTC_PM</a> ] <br  />
 </td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>None </dd></dl>

<p class="definition">Definition at line <a class="el" href="../../d4/dcc/rtc_8c_source.html#l00513">513</a> of file <a class="el" href="../../d4/dcc/rtc_8c_source.html">rtc.c</a>.</p>

</div>
</div>
<a id="ga91109691f6f2f09309ea4f8a80c5dfad" name="ga91109691f6f2f09309ea4f8a80c5dfad"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ga91109691f6f2f09309ea4f8a80c5dfad">&#9670;&nbsp;</a></span>RTC_SetAlarmTime()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void RTC_SetAlarmTime </td>
          <td>(</td>
          <td class="paramtype">uint32_t&#160;</td>
          <td class="paramname"><em>u32Hour</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">uint32_t&#160;</td>
          <td class="paramname"><em>u32Minute</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">uint32_t&#160;</td>
          <td class="paramname"><em>u32Second</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">uint32_t&#160;</td>
          <td class="paramname"><em>u32TimeMode</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">uint32_t&#160;</td>
          <td class="paramname"><em>u32AmPm</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>This function is used to set alarm date to RTC. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">u32Hour</td><td>The Hour Time Digit of Alarm Setting. </td></tr>
    <tr><td class="paramdir">[in]</td><td class="paramname">u32Minute</td><td>The Month Calendar Digit of Alarm Setting </td></tr>
    <tr><td class="paramdir">[in]</td><td class="paramname">u32Second</td><td>The Day Calendar Digit of Alarm Setting </td></tr>
    <tr><td class="paramdir">[in]</td><td class="paramname">u32TimeMode</td><td>The 24-Hour / 12-Hour Time Scale Selection. [ <a class="el" href="../../d7/dd6/group___n_a_n_o1_x2___r_t_c___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gaae8017fbc59380b143776f18af4c75d7">RTC_CLOCK_12</a> / <a class="el" href="../../d7/dd6/group___n_a_n_o1_x2___r_t_c___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga3a81ec9eddb2c5fc996570d1185fd5a5">RTC_CLOCK_24</a>] </td></tr>
    <tr><td class="paramdir">[in]</td><td class="paramname">u32AmPm</td><td>12-hour time scale with AM and PM indication. Only Time Scale select 12-hour used. [ <a class="el" href="../../d7/dd6/group___n_a_n_o1_x2___r_t_c___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gada0b52b6e9e895690741af2154d2f82e">RTC_AM</a> / <a class="el" href="../../d7/dd6/group___n_a_n_o1_x2___r_t_c___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gacef25d3892e668ac7b3e28e0dc514991">RTC_PM</a>]</td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>None </dd></dl>

<p class="definition">Definition at line <a class="el" href="../../d4/dcc/rtc_8c_source.html#l00735">735</a> of file <a class="el" href="../../d4/dcc/rtc_8c_source.html">rtc.c</a>.</p>

</div>
</div>
<a id="ga60e2a39242d550d372cd5b3ea88c20f1" name="ga60e2a39242d550d372cd5b3ea88c20f1"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ga60e2a39242d550d372cd5b3ea88c20f1">&#9670;&nbsp;</a></span>RTC_SetDate()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void RTC_SetDate </td>
          <td>(</td>
          <td class="paramtype">uint32_t&#160;</td>
          <td class="paramname"><em>u32Year</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">uint32_t&#160;</td>
          <td class="paramname"><em>u32Month</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">uint32_t&#160;</td>
          <td class="paramname"><em>u32Day</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">uint32_t&#160;</td>
          <td class="paramname"><em>u32DayOfWeek</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>This function is used to update date to RTC. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">u32Year</td><td>The Year Calendar Digit of Alarm Setting </td></tr>
    <tr><td class="paramdir">[in]</td><td class="paramname">u32Month</td><td>The Month Calendar Digit of Alarm Setting </td></tr>
    <tr><td class="paramdir">[in]</td><td class="paramname">u32Day</td><td>The Day Calendar Digit of Alarm Setting </td></tr>
    <tr><td class="paramdir">[in]</td><td class="paramname">u32DayOfWeek</td><td>The Day of Week. [ <a class="el" href="../../d7/dd6/group___n_a_n_o1_x2___r_t_c___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga75ff3b52950ae540fa13aa5e08eba542">RTC_SUNDAY</a> / <a class="el" href="../../d7/dd6/group___n_a_n_o1_x2___r_t_c___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga2e374db336a0ae99553627b9df14d120">RTC_MONDAY</a> / <a class="el" href="../../d7/dd6/group___n_a_n_o1_x2___r_t_c___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gafd122eb2d134598321cff83a3a052f10">RTC_TUESDAY</a> / <a class="el" href="../../d7/dd6/group___n_a_n_o1_x2___r_t_c___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga620a6070ae47cbbae98021311da05006">RTC_WEDNESDAY</a> / <a class="el" href="../../d7/dd6/group___n_a_n_o1_x2___r_t_c___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga186df79e32dff064ecc49815c9bc4c17">RTC_THURSDAY</a> / <a class="el" href="../../d7/dd6/group___n_a_n_o1_x2___r_t_c___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gad7ce41b76d89cfa3b4f5783d01f5a47d">RTC_FRIDAY</a> / <a class="el" href="../../d7/dd6/group___n_a_n_o1_x2___r_t_c___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gad6fa739d323fe37d14cc1e0ef430dc6c">RTC_SATURDAY</a> ]</td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>None </dd></dl>

<p class="definition">Definition at line <a class="el" href="../../d4/dcc/rtc_8c_source.html#l00593">593</a> of file <a class="el" href="../../d4/dcc/rtc_8c_source.html">rtc.c</a>.</p>

</div>
</div>
<a id="ga17bb208aa8fa4bda753b7fb7ef051be4" name="ga17bb208aa8fa4bda753b7fb7ef051be4"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ga17bb208aa8fa4bda753b7fb7ef051be4">&#9670;&nbsp;</a></span>RTC_SetDateAndTime()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void RTC_SetDateAndTime </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../db/d65/struct_s___r_t_c___t_i_m_e___d_a_t_a___t.html">S_RTC_TIME_DATA_T</a> *&#160;</td>
          <td class="paramname"><em>sPt</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>This function is used to update date/time to RTC. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">sPt</td><td><br  />
 Specify the time property and current time. It includes: <br  />
 u32Year: Year value. <br  />
 u32Month: Month value. <br  />
 u32Day: Day value. <br  />
 u32DayOfWeek: Day of week. [ <a class="el" href="../../d7/dd6/group___n_a_n_o1_x2___r_t_c___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga75ff3b52950ae540fa13aa5e08eba542">RTC_SUNDAY</a> / <a class="el" href="../../d7/dd6/group___n_a_n_o1_x2___r_t_c___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga2e374db336a0ae99553627b9df14d120">RTC_MONDAY</a> / <a class="el" href="../../d7/dd6/group___n_a_n_o1_x2___r_t_c___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gafd122eb2d134598321cff83a3a052f10">RTC_TUESDAY</a> / <a class="el" href="../../d7/dd6/group___n_a_n_o1_x2___r_t_c___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga620a6070ae47cbbae98021311da05006">RTC_WEDNESDAY</a> / <a class="el" href="../../d7/dd6/group___n_a_n_o1_x2___r_t_c___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga186df79e32dff064ecc49815c9bc4c17">RTC_THURSDAY</a> / <a class="el" href="../../d7/dd6/group___n_a_n_o1_x2___r_t_c___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gad7ce41b76d89cfa3b4f5783d01f5a47d">RTC_FRIDAY</a> / <a class="el" href="../../d7/dd6/group___n_a_n_o1_x2___r_t_c___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gad6fa739d323fe37d14cc1e0ef430dc6c">RTC_SATURDAY</a>] <br  />
 u32Hour: Hour value. <br  />
 u32Minute: Minute value. <br  />
 u32Second: Second value. <br  />
 u32TimeScale: [ <a class="el" href="../../d7/dd6/group___n_a_n_o1_x2___r_t_c___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gaae8017fbc59380b143776f18af4c75d7">RTC_CLOCK_12</a> / <a class="el" href="../../d7/dd6/group___n_a_n_o1_x2___r_t_c___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga3a81ec9eddb2c5fc996570d1185fd5a5">RTC_CLOCK_24</a>] <br  />
 u8AmPm: [ <a class="el" href="../../d7/dd6/group___n_a_n_o1_x2___r_t_c___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gada0b52b6e9e895690741af2154d2f82e">RTC_AM</a> / <a class="el" href="../../d7/dd6/group___n_a_n_o1_x2___r_t_c___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gacef25d3892e668ac7b3e28e0dc514991">RTC_PM</a>] <br  />
</td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>None </dd></dl>

<p class="definition">Definition at line <a class="el" href="../../d4/dcc/rtc_8c_source.html#l00428">428</a> of file <a class="el" href="../../d4/dcc/rtc_8c_source.html">rtc.c</a>.</p>

</div>
</div>
<a id="gab033fe338dc5c91d0c05975380f4d46c" name="gab033fe338dc5c91d0c05975380f4d46c"></a>
<h2 class="memtitle"><span class="permalink"><a href="#gab033fe338dc5c91d0c05975380f4d46c">&#9670;&nbsp;</a></span>RTC_SetTickPeriod()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void RTC_SetTickPeriod </td>
          <td>(</td>
          <td class="paramtype">uint32_t&#160;</td>
          <td class="paramname"><em>u32TickSelection</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>The function is used to set time tick period for periodic time tick Interrupt. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">u32TickSelection</td><td>It is used to set the RTC time tick period for Periodic Time Tick Interrupt request. It consists of: <br  />
 <a class="el" href="../../d7/dd6/group___n_a_n_o1_x2___r_t_c___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gacae7474edb8348888c19f53eed6e04cb">RTC_TICK_1_SEC</a> : Time tick is 1 second <br  />
 <a class="el" href="../../d7/dd6/group___n_a_n_o1_x2___r_t_c___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga2b24bdfec65411ed86561c5057b6e2d3">RTC_TICK_1_2_SEC</a> : Time tick is 1/2 second <br  />
 <a class="el" href="../../d7/dd6/group___n_a_n_o1_x2___r_t_c___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga22acfe416fd7fd64246d90f4b1c2d37c">RTC_TICK_1_4_SEC</a> : Time tick is 1/4 second <br  />
 <a class="el" href="../../d7/dd6/group___n_a_n_o1_x2___r_t_c___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga63d16421cb8cf2ae29f2e0001f00cd23">RTC_TICK_1_8_SEC</a> : Time tick is 1/8 second <br  />
 <a class="el" href="../../d7/dd6/group___n_a_n_o1_x2___r_t_c___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gaad376fffcee4cad18823b456f777185b">RTC_TICK_1_16_SEC</a> : Time tick is 1/16 second <br  />
 <a class="el" href="../../d7/dd6/group___n_a_n_o1_x2___r_t_c___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga208b9d944db8cd72fb7c771d05997889">RTC_TICK_1_32_SEC</a> : Time tick is 1/32 second <br  />
 <a class="el" href="../../d7/dd6/group___n_a_n_o1_x2___r_t_c___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga20fa7a7cd34ad66ba1cf5274576bab93">RTC_TICK_1_64_SEC</a> : Time tick is 1/64 second <br  />
 <a class="el" href="../../d7/dd6/group___n_a_n_o1_x2___r_t_c___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga5f1df452ec1c9aa318763f8e3828b451">RTC_TICK_1_128_SEC</a> : Time tick is 1/128 second</td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>None </dd></dl>

<p class="definition">Definition at line <a class="el" href="../../d4/dcc/rtc_8c_source.html#l00865">865</a> of file <a class="el" href="../../d4/dcc/rtc_8c_source.html">rtc.c</a>.</p>

</div>
</div>
<a id="ga814dadca05393de94c8086104d7d0595" name="ga814dadca05393de94c8086104d7d0595"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ga814dadca05393de94c8086104d7d0595">&#9670;&nbsp;</a></span>RTC_SetTime()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void RTC_SetTime </td>
          <td>(</td>
          <td class="paramtype">uint32_t&#160;</td>
          <td class="paramname"><em>u32Hour</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">uint32_t&#160;</td>
          <td class="paramname"><em>u32Minute</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">uint32_t&#160;</td>
          <td class="paramname"><em>u32Second</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">uint32_t&#160;</td>
          <td class="paramname"><em>u32TimeMode</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">uint32_t&#160;</td>
          <td class="paramname"><em>u32AmPm</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>This function is used to update time to RTC. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">u32Hour</td><td>The Hour Time Digit of Alarm Setting. </td></tr>
    <tr><td class="paramdir">[in]</td><td class="paramname">u32Minute</td><td>The Month Calendar Digit of Alarm Setting </td></tr>
    <tr><td class="paramdir">[in]</td><td class="paramname">u32Second</td><td>The Day Calendar Digit of Alarm Setting </td></tr>
    <tr><td class="paramdir">[in]</td><td class="paramname">u32TimeMode</td><td>The 24-Hour / 12-Hour Time Scale Selection. [ <a class="el" href="../../d7/dd6/group___n_a_n_o1_x2___r_t_c___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gaae8017fbc59380b143776f18af4c75d7">RTC_CLOCK_12</a> / <a class="el" href="../../d7/dd6/group___n_a_n_o1_x2___r_t_c___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga3a81ec9eddb2c5fc996570d1185fd5a5">RTC_CLOCK_24</a>] </td></tr>
    <tr><td class="paramdir">[in]</td><td class="paramname">u32AmPm</td><td>12-hour time scale with AM and PM indication. Only Time Scale select 12-hour used. [ <a class="el" href="../../d7/dd6/group___n_a_n_o1_x2___r_t_c___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gada0b52b6e9e895690741af2154d2f82e">RTC_AM</a> / <a class="el" href="../../d7/dd6/group___n_a_n_o1_x2___r_t_c___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gacef25d3892e668ac7b3e28e0dc514991">RTC_PM</a>]</td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>None </dd></dl>

<p class="definition">Definition at line <a class="el" href="../../d4/dcc/rtc_8c_source.html#l00638">638</a> of file <a class="el" href="../../d4/dcc/rtc_8c_source.html">rtc.c</a>.</p>

</div>
</div>
<h2 class="groupheader">Variable Documentation</h2>
<a id="ga36cfd8ed019c8243b7eaf1cb37985073" name="ga36cfd8ed019c8243b7eaf1cb37985073"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ga36cfd8ed019c8243b7eaf1cb37985073">&#9670;&nbsp;</a></span>u32AmPm</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">uint32_t S_RTC_TIME_DATA_T::u32AmPm</td>
        </tr>
      </table>
</div><div class="memdoc">
<p >Only Time Scale select 12-hr used </p>

<p class="definition">Definition at line <a class="el" href="../../dc/d1b/rtc_8h_source.html#l00090">90</a> of file <a class="el" href="../../dc/d1b/rtc_8h_source.html">rtc.h</a>.</p>

</div>
</div>
<a id="ga8e1878e1510ce6ead051162995c6dc19" name="ga8e1878e1510ce6ead051162995c6dc19"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ga8e1878e1510ce6ead051162995c6dc19">&#9670;&nbsp;</a></span>u32Day</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">uint32_t S_RTC_TIME_DATA_T::u32Day</td>
        </tr>
      </table>
</div><div class="memdoc">
<p >Day value </p>

<p class="definition">Definition at line <a class="el" href="../../dc/d1b/rtc_8h_source.html#l00084">84</a> of file <a class="el" href="../../dc/d1b/rtc_8h_source.html">rtc.h</a>.</p>

</div>
</div>
<a id="ga90c962807d6695fe7ebed72d1f14d0a5" name="ga90c962807d6695fe7ebed72d1f14d0a5"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ga90c962807d6695fe7ebed72d1f14d0a5">&#9670;&nbsp;</a></span>u32DayOfWeek</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">uint32_t S_RTC_TIME_DATA_T::u32DayOfWeek</td>
        </tr>
      </table>
</div><div class="memdoc">
<p >Day of week value </p>

<p class="definition">Definition at line <a class="el" href="../../dc/d1b/rtc_8h_source.html#l00085">85</a> of file <a class="el" href="../../dc/d1b/rtc_8h_source.html">rtc.h</a>.</p>

</div>
</div>
<a id="ga47000df9a2b3e5007206cff3a64a13a0" name="ga47000df9a2b3e5007206cff3a64a13a0"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ga47000df9a2b3e5007206cff3a64a13a0">&#9670;&nbsp;</a></span>u32Hour</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">uint32_t S_RTC_TIME_DATA_T::u32Hour</td>
        </tr>
      </table>
</div><div class="memdoc">
<p >Hour value </p>

<p class="definition">Definition at line <a class="el" href="../../dc/d1b/rtc_8h_source.html#l00086">86</a> of file <a class="el" href="../../dc/d1b/rtc_8h_source.html">rtc.h</a>.</p>

</div>
</div>
<a id="ga73517c90b11996fdd2f7d88c9d52108b" name="ga73517c90b11996fdd2f7d88c9d52108b"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ga73517c90b11996fdd2f7d88c9d52108b">&#9670;&nbsp;</a></span>u32Minute</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">uint32_t S_RTC_TIME_DATA_T::u32Minute</td>
        </tr>
      </table>
</div><div class="memdoc">
<p >Minute value </p>

<p class="definition">Definition at line <a class="el" href="../../dc/d1b/rtc_8h_source.html#l00087">87</a> of file <a class="el" href="../../dc/d1b/rtc_8h_source.html">rtc.h</a>.</p>

</div>
</div>
<a id="ga28f8319a6c75aa27d786f938d84aa0c9" name="ga28f8319a6c75aa27d786f938d84aa0c9"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ga28f8319a6c75aa27d786f938d84aa0c9">&#9670;&nbsp;</a></span>u32Month</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">uint32_t S_RTC_TIME_DATA_T::u32Month</td>
        </tr>
      </table>
</div><div class="memdoc">
<p >Month value </p>

<p class="definition">Definition at line <a class="el" href="../../dc/d1b/rtc_8h_source.html#l00083">83</a> of file <a class="el" href="../../dc/d1b/rtc_8h_source.html">rtc.h</a>.</p>

</div>
</div>
<a id="gad18f79857eb312939ada311a91b0ae62" name="gad18f79857eb312939ada311a91b0ae62"></a>
<h2 class="memtitle"><span class="permalink"><a href="#gad18f79857eb312939ada311a91b0ae62">&#9670;&nbsp;</a></span>u32Second</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">uint32_t S_RTC_TIME_DATA_T::u32Second</td>
        </tr>
      </table>
</div><div class="memdoc">
<p >Second value </p>

<p class="definition">Definition at line <a class="el" href="../../dc/d1b/rtc_8h_source.html#l00088">88</a> of file <a class="el" href="../../dc/d1b/rtc_8h_source.html">rtc.h</a>.</p>

</div>
</div>
<a id="gad3abd0c20af75576b6f3ab0d0dcb67fe" name="gad3abd0c20af75576b6f3ab0d0dcb67fe"></a>
<h2 class="memtitle"><span class="permalink"><a href="#gad3abd0c20af75576b6f3ab0d0dcb67fe">&#9670;&nbsp;</a></span>u32TimeScale</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">uint32_t S_RTC_TIME_DATA_T::u32TimeScale</td>
        </tr>
      </table>
</div><div class="memdoc">
<p >12-Hour, 24-Hour </p>

<p class="definition">Definition at line <a class="el" href="../../dc/d1b/rtc_8h_source.html#l00089">89</a> of file <a class="el" href="../../dc/d1b/rtc_8h_source.html">rtc.h</a>.</p>

</div>
</div>
<a id="gaaf57f7bbfd9a465e0d40bffd6374871f" name="gaaf57f7bbfd9a465e0d40bffd6374871f"></a>
<h2 class="memtitle"><span class="permalink"><a href="#gaaf57f7bbfd9a465e0d40bffd6374871f">&#9670;&nbsp;</a></span>u32Year</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">uint32_t S_RTC_TIME_DATA_T::u32Year</td>
        </tr>
      </table>
</div><div class="memdoc">
<p >Year value </p>

<p class="definition">Definition at line <a class="el" href="../../dc/d1b/rtc_8h_source.html#l00082">82</a> of file <a class="el" href="../../dc/d1b/rtc_8h_source.html">rtc.h</a>.</p>

</div>
</div>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated on Fri Oct 18 2024 12:20:32 for NANO102/112 BSP by&#160;<a href="https://www.doxygen.org/index.html"><img class="footer" src="../../doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.3
</small></address>
</body>
</html>
